<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="top.continew.admin.business.mapper.AirdropRecordMapper">
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="top.continew.admin.business.model.entity.AirdropRecord">
        <result column="id" property="id"/>
        <result column="target_user" property="targetUser"/>
        <result column="gold_coin_num" property="goldCoinNum"/>
        <result column="pre_drop_num" property="preDropNum"/>
        <result column="post_drop_num" property="postDropNum"/>
        <result column="airdrop_time" property="airdropTime"/>
        <result column="operation_type" property="operationType"/>
        <result column="created_by" property="createdBy"/>
        <result column="created_time" property="createdTime"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, target_user, gold_coin_num, pre_drop_num, post_drop_num, airdrop_time, operation_type, created_by, created_time
    </sql>
</mapper>
